!> \file periodes.f90  Voorbeeldprogramma samenvallende periodes van omlopen van Venus en de Aarde
!! 
!! - zie: http://hemel.waarnemen.com/FAQ/Planeten/015.html
!!
!! (c) 2012, Marc van der Sluys, hemel.waarnemen.com
!!
!!
!! Dit programma is geschreven in Fortran-90 en kan worden gecompileerd met gratis, open-source compilers als gfortran of g95:
!!   - gfortran:   http://gcc.gnu.org/wiki/GFortranBinaries
!!   - compileren: gfortran periodes.f90 -o periodes
!!   - uitvoeren:  ./periodes


!***********************************************************************************************************************************
program periodes
  implicit none
  integer :: nmax, iv,ia
  real(kind=8) :: pa,pv
  
  nmax = 500        ! Zoek maximaal nmax jaar
  pv = 224.7008d0   ! Siderische periode van Venus
  pa = 365.25636d0  ! Siderische periode van de Aarde
  
  write(*,'(A,F10.6)') '  Pa/Pv: ',pa/pv
  
  write(*,'(3A9,2A12)') 'i_A','i_V', 'i_V-i_A', 'i_V/i_A','Delta t'
  do ia = 1,nmax                        ! Aarde
     do iv = 1,nint(dble(nmax)/pv*pa)   ! Venus
        
        ! Als het verschil kleiner is dan 1 dag, print het resultaat:
        if( abs(iv*pv-ia*pa) .lt. 1.0d0) write(*,'(3I9,F12.6,F12.2)') ia,iv, iv-ia, dble(iv)/dble(ia), abs(iv*pv-ia*pa)*24
        
     end do
  end do
  
end program periodes
!***********************************************************************************************************************************

